

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: Summary</title>
  <style type="text/css">
    @import "./.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
   [ all classes ]
</div>

<h1>Overall Coverage Summary </h1>
<table class="coverageStats">
  <tr>
    <th class="name">Package</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
  </tr>
  <tr>
    <td class="name">all classes</td>
<td class="coverageStat">
  <span class="percent">
    61.6%
  </span>
  <span class="absValue">
    (45/ 73)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    54.4%
  </span>
  <span class="absValue">
    (237/ 436)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    54.4%
  </span>
  <span class="absValue">
    (677/ 1244)
  </span>
</td>
  </tr>
</table>

<br/>
<h2>Coverage Breakdown</h2>

<table class="coverageStats">
  <tr>
    <th class="name  
">
<a href="index.html">Package</a>    </th>
<th class="coverageStat sortedAsc
">
  <a href="index_SORT_BY_CLASS_DESC.html">Class, %</a>
</th>
<th class="coverageStat 
">
  <a href="index_SORT_BY_METHOD.html">Method, %</a>
</th>
<th class="coverageStat 
">
  <a href="index_SORT_BY_LINE.html">Line, %</a>
</th>
  </tr>
  <tr>
    <td class="name"><a href="com.dema.timeregistration.application.command/index_SORT_BY_CLASS.html">com.dema.timeregistration.application.command</a></td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 22)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 131)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 314)
  </span>
</td>
  </tr>
  <tr>
    <td class="name"><a href="com.dema.timeregistration.application/index_SORT_BY_CLASS.html">com.dema.timeregistration.application</a></td>
<td class="coverageStat">
  <span class="percent">
    50%
  </span>
  <span class="absValue">
    (4/ 8)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    54.8%
  </span>
  <span class="absValue">
    (17/ 31)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    49.4%
  </span>
  <span class="absValue">
    (83/ 168)
  </span>
</td>
  </tr>
  <tr>
    <td class="name"><a href="com.dema.timeregistration.repository.jpa/index_SORT_BY_CLASS.html">com.dema.timeregistration.repository.jpa</a></td>
<td class="coverageStat">
  <span class="percent">
    75%
  </span>
  <span class="absValue">
    (3/ 4)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    64.3%
  </span>
  <span class="absValue">
    (9/ 14)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    74.3%
  </span>
  <span class="absValue">
    (26/ 35)
  </span>
</td>
  </tr>
  <tr>
    <td class="name"><a href="com.dema.timeregistration.service/index_SORT_BY_CLASS.html">com.dema.timeregistration.service</a></td>
<td class="coverageStat">
  <span class="percent">
    88.9%
  </span>
  <span class="absValue">
    (8/ 9)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    60.8%
  </span>
  <span class="absValue">
    (31/ 51)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    66.4%
  </span>
  <span class="absValue">
    (233/ 351)
  </span>
</td>
  </tr>
  <tr>
    <td class="name"><a href="com.dema.timeregistration.service.models/index_SORT_BY_CLASS.html">com.dema.timeregistration.service.models</a></td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (9/ 9)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (75/ 75)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (108/ 108)
  </span>
</td>
  </tr>
  <tr>
    <td class="name"><a href="com.dema.timeregistration.entity/index_SORT_BY_CLASS.html">com.dema.timeregistration.entity</a></td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (12/ 12)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    79.2%
  </span>
  <span class="absValue">
    (80/ 101)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    83.2%
  </span>
  <span class="absValue">
    (159/ 191)
  </span>
</td>
  </tr>
  <tr>
    <td class="name"><a href="com.dema.timeregistration.service.exception/index_SORT_BY_CLASS.html">com.dema.timeregistration.service.exception</a></td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (4/ 4)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    54.5%
  </span>
  <span class="absValue">
    (6/ 11)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    66.7%
  </span>
  <span class="absValue">
    (10/ 15)
  </span>
</td>
  </tr>
  <tr>
    <td class="name"><a href="com.dema.timeregistration.repository/index_SORT_BY_CLASS.html">com.dema.timeregistration.repository</a></td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (4/ 4)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    88.9%
  </span>
  <span class="absValue">
    (16/ 18)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    96.2%
  </span>
  <span class="absValue">
    (51/ 53)
  </span>
</td>
  </tr>
  <tr>
    <td class="name"><a href="com.dema.timeregistration/index_SORT_BY_CLASS.html">com.dema.timeregistration</a></td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (1/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    75%
  </span>
  <span class="absValue">
    (3/ 4)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    77.8%
  </span>
  <span class="absValue">
    (7/ 9)
  </span>
</td>
  </tr>
</table>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>

